org.springframework.beans.factory.xml

## Interface NamespaceHandlerResolver

- All Known Implementing Classes:
    DefaultNamespaceHandlerResolver

      public interface NamespaceHandlerResolver

  Used by the `DefaultBeanDefinitionDocumentReader` to locate a `NamespaceHandler` implementation for a particular namespace URI.
  Since:
    2.0
  Author:
    Rob Harrop
  See Also:
    `NamespaceHandler`, `DefaultBeanDefinitionDocumentReader`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `NamespaceHandler` | `resolve(String namespaceUri)` Resolve the namespace URI and return the located `NamespaceHandler` implementation.

- - ### Method Detail

    - #### resolve

          NamespaceHandler resolve(String namespaceUri)

      Resolve the namespace URI and return the located `NamespaceHandler` implementation.
      Parameters:
        `namespaceUri` - the relevant namespace URI
      Returns:
        the located `NamespaceHandler` (may be `null`)